%define	name	device-mapper
%define	version	1.01.00
%define	extraversion	%{nil}
%define	release	2mdk

%ifarch %{ix86} x86_64 ppc
%define	use_dietlibc	1
%else
%define	use_dietlibc	0
%endif

%define	_sbindir	/sbin
%define	major	1.01

# Macro: %%{mklibname <name> [<major> [<minor>]] [-s] [-d]}
%define	libname	%mklibname devmapper %major
%define	dlibname	%mklibname devmapper %major -d

Summary:	Device mapper
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://sources.redhat.com/pub/dm/%{name}.%{version}%{extraversion}.tar.bz2
Patch0:		device-mapper.1.00.19-dso.patch.bz2
Patch1:		device-mapper.1.00.19-diet.patch.bz2
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://sources.redhat.com/dm/
BuildRequires:	autoconf2.5 >= 2.53
BuildRequires:	glibc-static-devel
%if %{use_dietlibc}
BuildRequires:	dietlibc-devel
%endif

%description
The device-mapper driver enables the definition of new block
devices composed of ranges of sectors of existing devices.  This
can be used to define disk partitions - or logical volumes.

%package -n	dmsetup
Summary:	Device mapper setup tool
Group:		System/Kernel and hardware
Provides:	device-mapper = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	dmsetup
Dmsetup manages logical devices that use the device-mapper driver.  
Devices are created by loading a table that specifies a target for
each sector (512 bytes) in the logical device.

%package -n	%{libname}
Summary:	Device mapper library
Group:		System/Kernel and hardware

%description -n	%{libname}
The device-mapper driver enables the definition of new block
devices composed of ranges of sectors of existing devices.  This
can be used to define disk partitions - or logical volumes.

This package contains the shared libraries required for running
programs which use device-mapper.

%package -n	%{dlibname}
Summary:	Device mapper development library
Group:		Development/C
Provides:	device-mapper-devel = %{version}-%{release}
Provides:	libdevmapper-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{dlibname}
The device-mapper driver enables the definition of new block
devices composed of ranges of sectors of existing devices.  This
can be used to define disk partitions - or logical volumes.

This package contains the header files and development libraries
for building programs which use device-mapper.

%prep
%setup -q -n %{name}.%{version}%{extraversion}
%patch0 -p1 -b .dso
%patch1 -p1 -b .diet
bzip2 patches/*.patch
autoconf

%build
%configure2_5x --with-user=`id -un` --with-group=`id -gn` \
	--enable-static_link \
%if %{use_dietlibc}
	--enable-static_link_dietlibc \
%endif
	--disable-selinux

%make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}/%{_lib}
mv %{buildroot}%{_libdir}/libdevmapper.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/libdevmapper.so.%{major} %{buildroot}%{_libdir}/libdevmapper.so
%if %{use_dietlibc}
mv -f $RPM_BUILD_ROOT%{_sbindir}/dmsetup-static{-diet,}
%endif
chmod -R u+w %{buildroot} #else brp_mandrake won't strip binaries

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n dmsetup
%defattr(644,root,root,755)
%doc INSTALL INTRO README VERSION WHATS_NEW
%doc patches/*.patch.bz2
%doc scripts/*
%attr(755,root,root) %{_sbindir}/dmsetup
%attr(755,root,root) %{_sbindir}/dmsetup-static
%{_mandir}/man8/dmsetup.8*

%files -n %{libname}
%defattr(755,root,root)
/%{_lib}/libdevmapper.so.*

%files -n %{dlibname}
%defattr(644,root,root,755)
%{_libdir}/libdevmapper.*
%{_includedir}/libdevmapper.h
%if %{use_dietlibc}
%{_libdir}/libdevmapper-diet.*
%endif

%changelog
* Sat Mar 05 2005 Luca Berra <bluca@vodka.it> 1.01.00-2mdk 
- use the correct major number

* Fri Mar 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01.00-1mdk
- new release

* Fri Jan 14 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00.21-1mdk
- 1.00.21

* Sun Oct 03 2004 Luca Berra <bluca@vodka.it> 1.00.19-4mdk 
- rework package descriptions

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.00.19-3mdk
- only build DSOs with PIC
- rewrite dietlibc patch for a one-shot build

* Sun Aug 01 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.00.19-2mdk
- enable dietlibc version on ppc

* Mon Jul 26 2004 Luca Berra <bluca@vodka.it> 1.00.19-1mdk 
- 1.00.19
- rediffed p0
- disable selinux build

* Tue Jun 29 2004 Luca Berra <bluca@vodka.it> 1.00.18-1mdk 
- 1.00.18
- rediffed p0
- fix unstripped binaries

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.00.16-2mdk
- fix buildrequires
- spec cosmetics

* Sat Apr 17 2004 Luca Berra <bluca@vodka.it> 1.00.16-1mdk 
- 1.00.16
- rediffed p0
- added dmsetup-static

* Fri Dec 19 2003 Luca Berra <bluca@vodka.it> 1.00.07-2mdk
- i discovered --disable-compat to configure actually enables it
- put library in %%{_lib}
- fix permissions

* Sat Nov 22 2003 Luca Berra <bluca@vodka.it> 1.00.07-1mdk
- 1.00.07
- dmsetup requires same version of library
- correct provides for development library

* Thu Nov 20 2003 Luca Berra <bluca@vodka.it> 1.00.05-2mdk
- provide dietlibc version for building lvm2 tools

* Sat Sep 06 2003 Luca Berra <bluca@vodka.it> 1.00.05-1mdk
- 1.00.05

* Wed Aug 27 2003 Luca Berra <bluca@vodka.it> 1.00.01-0.rc2.1mdk
- 1.00.04
- mdk uses bz2

* Wed Jul 16 2003 Luca Berra <bluca@vodka.it> 1.00.01-0.rc2.1mdk
- 1.00.01-rc2

* Sun Dec  1 2002 Luca Berra <bluca@vodka.it> 0.96.07-1mdk
- 0.96.07

* Sat Jun  1 2002 Luca Berra <bluca@vodka.it> 0.95.11-1mdk
- 0.95.11
